Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql
Class SQLDatastoreConfiguration

    java.lang.Object
      org.deegree.io.datastore.sql.SQLDatastoreConfiguration

All Implemented Interfaces:
  DatastoreConfiguration

    public class SQLDatastoreConfiguration

extends Object
implements DatastoreConfiguration

Represents the configuration for an SQL database which is used as a datastore backend.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`SQLDatastoreConfiguration(JDBCConnection connection, Class<? extends Datastore> datastoreClass)` Creates a new instance of `SQLDatastoreConfiguration` from the given parameters.

Method Summary
`boolean` | `equals(Object obj)`
`Class<? extends Datastore>` | `getDatastoreClass()` Returns the class of the corresponding `Datastore`.
`JDBCConnection` | `getJDBCConnection()` Returns the JDBC connection information.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDatastoreConfiguration

    public SQLDatastoreConfiguration(JDBCConnection connection,
                                     Class<? extends Datastore> datastoreClass)

  Creates a new instance of `SQLDatastoreConfiguration` from the given parameters.

  Parameters:
    `connection` -
    `datastoreClass` -

Method Detail

### getDatastoreClass

    public Class<? extends Datastore> getDatastoreClass()

  Description copied from interface: `DatastoreConfiguration`
  Returns the class of the corresponding `Datastore`.

  Specified by:
    `getDatastoreClass` in interface `DatastoreConfiguration`
  Returns:
    the class of the corresponding `Datastore`

### getJDBCConnection

    public JDBCConnection getJDBCConnection()

  Returns the JDBC connection information.

  Returns:
    the JDBC connection information

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org